# Generated by Django 2.2.16 on 2021-05-03 09:40

from django.db import migrations
from django.contrib.contenttypes.models import ContentType
from django.db.models import Q
import logging
logger = logging.getLogger(__name__)

def set_resource_type(apps, _):
    try:
        MyModel = apps.get_model('base', 'ResourceBase')
        resources = MyModel.objects.filter(Q(resource_type=None) | Q(resource_type=""))
        for resource in resources:
            rtype = ContentType.objects.get(id=resource.polymorphic_ctype_id)
            resource.resource_type=rtype.model
            resource.save(update_fields=['resource_type'])
    except Exception as e:
        logger.error(f'Error during set resource_type: {e.args[0]}')
        pass


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0058_thesaurus_order'),
    ]

    operations = [
        migrations.RunPython(set_resource_type, migrations.RunPython.noop),
    ]
