# Generated by Django 1.11.20 on 2019-04-04 08:27

import django.core.files.storage
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    replaces = [('layers', '0027_auto_20170801_1228'), ('layers', '0028_auto_20171218_0249'), ('layers', '0029_layer_service'), ('layers', '0030_auto_20180228_0812'), ('layers', '0031_uploadsession_resource'), ('layers', '0032_auto_20180424_1638'), ('layers', '0033_auto_20180606_1543')]

    dependencies = [
        ('layers', '26_to_27'),
        ('base', '0033_auto_20180330_0951'),
        ('services', '0030_auto_20171212_0518'),
    ]

    operations = [
        migrations.AlterField(
            model_name='layer',
            name='abstract_en',
            field=models.TextField(blank=True, help_text='brief narrative summary of the content of the resource(s)', max_length=2000, null=True, verbose_name='abstract'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='data_quality_statement_en',
            field=models.TextField(blank=True, help_text="general explanation of the data producer's knowledge about the lineage of a dataset", max_length=2000, null=True, verbose_name='data quality statement'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='purpose_en',
            field=models.TextField(blank=True, help_text='summary of the intentions with which the resource(s) was developed', max_length=500, null=True, verbose_name='purpose'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='supplemental_information_en',
            field=models.TextField(default='No information provided', help_text='any other descriptive information about the dataset', max_length=2000, null=True, verbose_name='supplemental information'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='default_style',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='layer_default_style', to='layers.Style'),
        ),
        migrations.AddField(
            model_name='layer',
            name='remote_service',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='services.Service'),
        ),
        migrations.AddField(
            model_name='uploadsession',
            name='resource',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='base.ResourceBase'),
        ),
        migrations.AlterField(
            model_name='layerfile',
            name='file',
            field=models.FileField(max_length=255, storage=django.core.files.storage.FileSystemStorage(base_url='/uploaded/'), upload_to='layers/%Y/%m/%d'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='elevation_regex',
            field=models.CharField(blank=True, max_length=128, null=True, verbose_name='Elevation regex'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='has_elevation',
            field=models.BooleanField(default=False, verbose_name='Has elevation?'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='has_time',
            field=models.BooleanField(default=False, verbose_name='Has time?'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='is_mosaic',
            field=models.BooleanField(default=False, verbose_name='Is mosaic?'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='name',
            field=models.CharField(max_length=128, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='store',
            field=models.CharField(max_length=128, verbose_name='Store'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='storeType',
            field=models.CharField(max_length=128, verbose_name='Storetype'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='time_regex',
            field=models.CharField(blank=True, choices=[('[0-9]{8}', 'YYYYMMDD'), ('[0-9]{8}T[0-9]{6}', "YYYYMMDD'T'hhmmss"), ('[0-9]{8}T[0-9]{6}Z', "YYYYMMDD'T'hhmmss'Z'")], max_length=128, null=True, verbose_name='Time regex'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='typename',
            field=models.CharField(blank=True, max_length=128, null=True, verbose_name='Typename'),
        ),
        migrations.AlterField(
            model_name='layer',
            name='workspace',
            field=models.CharField(max_length=128, verbose_name='Workspace'),
        ),
    ]
