# Generated by Django 3.2.14 on 2022-07-22 10:05
#########################################################################
#
# Copyright (C) 2022 OSGeo
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#########################################################################
from django.db import migrations, models

from geonode.resource.enumerator import ExecutionRequestAction

def fixup_action(apps, _):
    execution_requests = apps.get_model('resource', 'ExecutionRequest')
    for _req in execution_requests.objects.all():
        if not _req.action or _req.action == ExecutionRequestAction.UNKNOWN.value:
            if getattr(ExecutionRequestAction, _req.func_name, None):
                _req.action = getattr(ExecutionRequestAction, _req.func_name).value
            elif _req.action in ['remove_permissions', "set_permissions"]:
                _req.action = ExecutionRequestAction.PERMISSIONS.value
            else:
                _req.action = ExecutionRequestAction.UNKNOWN.value
            _req.save()


class Migration(migrations.Migration):

    dependencies = [
        ('resource', '0005_executionrequest_log'),
    ]

    operations = [
        migrations.AddField(
            model_name='executionrequest',
            name='action',
            field=models.CharField(choices=[('upload', 'upload'), ('create', 'create'), ('copy', 'copy'), ('delete', 'delete'), ('permissions', 'permissions'), ('update', 'update'), ('ingest', 'ingest'), ('unknown', 'unknown')], default='unknown', max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='executionrequest',
            name='name',
            field=models.CharField(default=None, help_text='Human readable name for the execution request', max_length=250, null=True),
        ),
        migrations.RunPython(fixup_action, migrations.RunPython.noop)
    ]
