# Generated by Django 3.2.12 on 2022-03-09 12:45

import django.core.validators
from django.db import migrations, models
from django.conf import settings

DEFAULT_UPLOAD_PARALLELISM_LIMIT = {
    "slug": "default_max_parallel_uploads",
    "description": "The default maximum parallel uploads per user.",
    "max_number": settings.DEFAULT_MAX_PARALLEL_UPLOADS_PER_USER
}

def create_upload_parallelism_limit_objects(apps, schema_editor):
    UploadParallelismLimit = apps.get_model("upload", "UploadParallelismLimit")
    UploadParallelismLimit.objects.create(**DEFAULT_UPLOAD_PARALLELISM_LIMIT)

def remove_upload_parallelism_limit_objects(apps, schema_editor):
    UploadParallelismLimit = apps.get_model("upload", "UploadParallelismLimit")
    UploadParallelismLimit.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('upload', '0035_update_uploadsizelimit_objects'),
    ]

    operations = [
        migrations.CreateModel(
            name='UploadParallelismLimit',
            fields=[
                ('slug', models.SlugField(max_length=255, primary_key=True, serialize=False, unique=True, validators=[django.core.validators.MinLengthValidator(limit_value=3)])),
                ('description', models.TextField(blank=True, default=None, max_length=255, null=True)),
                ('max_number', models.PositiveSmallIntegerField(default=5, help_text='The maximum number of parallel uploads (0 to 32767).')),
            ],
            options={
                'ordering': ('slug',),
            },
        ),
        migrations.RunPython(create_upload_parallelism_limit_objects, remove_upload_parallelism_limit_objects),
    ]
